Skip to main content
GET
/
reviews
/
fetch-suggestion
/
{review_id}
/
{index}
Fetch AI reply suggestion for reviews
curl --request GET \
  --url https://api.partoo.co/v2/reviews/fetch-suggestion/{review_id}/{index} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/reviews/fetch-suggestion/{review_id}/{index}"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/reviews/fetch-suggestion/{review_id}/{index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 820459,
  "index": 1,
  "review_id": 34,
  "content": "Dear Client, thanks for your kind feedback.",
  "report": {
    "id": 3587,
    "user_id": "52e10f004ee65a020",
    "created_at": "2025-05-12T12:57:21.895170Z"
  }
}
{
"errors": {
"json": {}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

review_id
integer
required

ID of the review for which we want an AI suggestion

Example:

34

index
integer
required

Index of the reply suggestion (0, 1, or 2)

Required range: 0 <= x <= 2

Response

OK

Review's reply suggestion

id
integer

Reply suggestion id

Example:

820459

index
integer

Index of the reply suggestion

Example:

1

review_id
integer

Review id

Example:

34

content
string

The content of the reply suggestion

Example:

"Dear Client, thanks for your kind feedback."

report
object

Report details if the suggestion was reported (can be null)